# -*- coding: japanese-shift-jis-dos; tab-width: 4; -*-
#
# bmpdepth.pl - prints color depth of a DIB file.
# $Id: bmpdepth.pl 1.3 2002/07/31 19:14:42 satomii Exp $
#
use strict;

my $data;

die "Usage: $0 filename\n" if (1 != scalar(@ARGV));

open(IN, $ARGV[0]) || die "File open error: $ARGV[0] ($!)\n";
binmode(IN);

read(IN, $data, 2) || die "File read error: $ARGV[0] ($!)\n";
$data eq 'BM' || die "$ARGV[0] is not a DIB file.\n";
seek(IN, 26, 1) || die "File seek error: $ARGV[0] ($!)\n";
read(IN, $data, 2) || die "File read error: $ARGV[0] ($!)\n";

close(IN);

$data = unpack('S', $data);
print "$data\n";
